#
# otopi -- plugable installer
#

%global		package_version 1.10.0


Summary:	oVirt Task Oriented Pluggable Installer/Implementation (%{name})
Name:		otopi
Version:	1.10.0
Release:	1
License:	LGPLv2+
URL:		http://www.ovirt.org
Source0:	http://resources.ovirt.org/pub/src/%{name}/%{name}-%{package_version}.tar.gz
Group:		Development/Libraries

BuildArch:	noarch

BuildRequires:	gettext >= 0.18.2
BuildRequires:	python%{python3_pkgversion}-devel
BuildRequires:	gcc

%description
Standalone plugin based installation framework to be used to setup
system components. The plugin nature provides simplicity to
add new installation functionality without the complexity of the state
and transaction management.

%package -n python%{python3_pkgversion}-%{name}
Summary:	%{summary}
%{?python_provide:%python_provide python%{python3_pkgversion}-%{name}}
Requires:	python%{python3_pkgversion} >= 3.6.0
Requires:	python%{python3_pkgversion}-dateutil
Requires:	python%{python3_pkgversion}-distro
Requires:	%{name}-common = %{version}-%{release}
Provides:	%{name} = %{version}-%{release}
Obsoletes:	python%{python3_pkgversion}-%{name}-devtools

%description -n python%{python3_pkgversion}-%{name}
%{summary}.

Python %{python3_pkgversion} version.


%package common
Summary:	Common files for %{name}
Obsoletes:	%{name}-java

%description common
%{summary}


%package debug-plugins
Summary:	%{name} debug plugins
Requires:	%{name} = %{version}-%{release}

%description debug-plugins
Debug plugins for %{name}.


%prep
%setup -q -n %{name}-%{package_version}

%build

%configure PYTHON="%{__python3}" \
	--docdir="%{_docdir}/%{name}-%{version}" \
	--disable-python-syntax-check \
	--with-local-version="%{name}-%{version}-%{release}" \
	%{?conf}
make %{?_smp_mflags}


%install
make %{?_smp_mflags} install DESTDIR="%{buildroot}"
install -d -m 755 "%{buildroot}%{_sysconfdir}/%{name}.conf.d"
%find_lang %{name}


%files -n python%{python3_pkgversion}-%{name}
%doc AUTHORS
%license COPYING
%license LICENSE
%doc README.md
%doc README.API
%doc README.config-query
%doc README.debug-plugins
%doc README.dialog
%doc README.environment
%{python3_sitelib}/%{name}/

%files common -f %{name}.lang
%doc AUTHORS
%license COPYING
%license LICENSE
%dir %{_datadir}/%{name}
%dir %{_datadir}/%{name}/plugins
%dir %{_sysconfdir}/%{name}.conf.d
%{_sbindir}/%{name}
%{_bindir}/%{name}-config-query
%{_datadir}/%{name}/scripts/
%{_datadir}/%{name}/plugins/%{name}/
%{_datadir}/%{name}/%{name}-bundle
%{_datadir}/%{name}/%{name}-functions
%exclude %{_datadir}/%{name}/plugins/%{name}/debug/

%files debug-plugins
%{_datadir}/%{name}/plugins/%{name}/debug/
%license COPYING
%license LICENSE
%doc AUTHORS
%doc README.debug-plugins

%changelog
* Sun Apr 24 2022 wangdi <wangdi@kylinos.cn> - 1.10.0-1
- Bump package version to 1.10.0, to support python version 3.8 or higher

* Sat Sep 04 2021 huanghaitao <huanghaitao8@huawei.com> - 1.9.4-2
- Fix otopi package missing error,provides by python3-otopi

* Mon Jul 05 2021 lijunwei <lijunwei@kylinos.cn> - 1.9.4-1
- Init package

